<!DOCTYPE html>
<html>
	<head>
		<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
		<title>好多房物件爬蟲建檔程式</title>

		<link rel="stylesheet" type="text/css" href="css/bootstrap.min.css" />
		<link rel="stylesheet" type="text/css" href="css/font-awesome.css" />
		<link rel="stylesheet" type="text/css" href="css/main.css" />
		<link rel="stylesheet" type="text/css" href="js/plugins/bootstrap-datetimepicker/css/bootstrap-datetimepicker-standalone.css" />
		<link rel="stylesheet" type="text/css" href="js/plugins/datatable/css/jquery.dataTables.min.css" />
		<link rel="stylesheet" type="text/css" href="js/plugins/datatable/yadcf/jquery.dataTables.yadcf.css" />
        <!-- bower:css -->
        <!-- endbower -->
	</head>
<body>
		<!-- Modal -->
		<div class="modal fade" id="layoutModal" tabindex="-1" role="dialog" aria-labelledby="exampleModalLabel" aria-hidden="true">
		<div class="modal-dialog"></div>
		</div>

		<div class="container">
			<div class="page-header">
                <h1>房屋物件爬蟲管理系統</h1>

            	<div class="pull-right">

					<a class="btn btn-lg btn-default" href="/">首頁 <i class="fa fa-home"></i></a>

					<div class="btn-group">
						<a class="btn btn-lg btn-info hide" href="/phaseConf">設定 <i class="fa fa-gear"></i></a>
						<button class="btn btn-lg btn-primary btn-modal" data-callback="create_callback" data-remote="/create-tabs">設定 <i class="fa fa-gear"></i></button>
                        <button class="btn btn-lg btn-warning btn-modal" data-callback="create_callback" data-remote="/change-password">變更密碼 <i class="fa fa-password"></i></button>
                        <a class="btn btn-lg btn-danger" href="?logout">登出 <i class="fa fa-power"></i></a>
					</div>
				</div>
				</h1>
			</div>

            <!-- flashession -->
            <?php if(count($this->flashSession->getMessages(NULL, FALSE)) > 0){
                $this->flashSession->output();
            }?>

            <ul class="nav nav-pills" role="tablist">
				<li class="active">
					<a href="#tabAll" role="tab" data-toggle="tab">
                    <i class="fa fa-bug"></i> 全部</a>
				</li>
			</ul>
			<div class="tab-content">
				<div id="tabAll" class="tab-pane fade active in">

<div class="widget">
    <div class="widget-header">
        <h3><i class="fa fa-windows"></i> 591網站</h3>
		<ul id="fbCategory" class="nav nav-tabs pull-left">
			<li><a data-toggle="tab" href="#fb_all" data-typelabel='591' data-cateid='all' data-table="#FBDTALL">
				<i class="fa fa-house"></i> 全部物件
			</a></li>
            <? foreach( $session->categories as $i => $cate): ?>
            <? if( $cate['type'] != 0){ continue; }?>
			<li><a data-toggle="tab" href="#fb_<?=$i;?>" data-typelabel='591' data-cateid='<?=$cate['categoryId'];?>' data-table="#FBDT<?=$cate['categoryId'];?>">
				<i class="fa fa-gear"></i> <?=$cate['label'];?>
			</a></li>
            <? endforeach; ?>
            <li><button class="btn btn-sm btn-modal" data-remote="/create-category/FB">
            <i class="fa fa-plus"></i></button></li>
		</ul>
        <div class="btn-group widget-header-toolbar">
            <a class="btn-borderless btn-toggle-expand" title="Expand/Collapse" href="#"><i class="fa fa-chevron-up"></i></a>
        </div>
        <div class="btn-group widget-header-toolbar">
			<button class="btn btn-primary btn-sm btn-ajax" type="button">
            <i class="fa fa-refresh"></i> <span>更新</span></button>
		</div>
    </div>
    <div class="widget-content">
		<div id="fbContent" class="tab-content no-padding">
			<div id="fb_all" class="tab-pane fade">
                <aside class="well-sm btn-group">
                <?php if( unserialize($this->session->get('auth-identity')->tablist)): ?>

                <? foreach( unserialize($this->session->get('auth-identity')->tablist) as $tabsId):
                    $tab = \Pkrobot\Models\Tabs::findFirst("tabsId={$tabsId} AND type<>".\Pkrobot\Models\Tabs::TYPE_PTT);
                    if( !$tab ){ continue; }
                ?>
                    <a class="btn btn-sm btn-danger" href="/deltab/<?=$tabsId;?>"><i class="fa fa-times"></i><?=$tab->label;?></a>
                <? endforeach; ?>
                <?php endif; ?>
                </aside>
                <?=$this->partial('dataTable-591', array('tableId'=>'FBDTALL'));?>
			</div>
		</div>
    </div>
</div>

				</div>
			</div>

		</div>
</body>
<script type="text/javascript" src="js/jquery/jquery-2.1.0.min.js"></script>
<script type="text/javascript" src="js/bootstrap/bootstrap.js"></script>
<script type="text/javascript" src="js/jquery-ui/jquery-ui-1.10.4.custom.min.js"></script>
<script type="text/javascript" src="js/plugins/moment/moment-locales.js"></script>
<script type="text/javascript" src="js/plugins/moment/zh-tw.js"></script>
<script type="text/javascript" src="js/plugins/bootstrap-datetimepicker/js/bootstrap-datetimepicker.js"></script>
<script type="text/javascript" src="js/plugins/datatable/js/jquery.dataTables.min.js"></script>
<script type="text/javascript" src="js/plugins/datatable/yadcf/chosen.jquery.min.js"></script>
<script type="text/javascript" src="js/plugins/datatable/yadcf/jquery.dataTables.yadcf.js"></script>
<!-- bower:js -->
<script type="text/javascript" src="js/jquery_lazyload/jquery.lazyload.js"></script>
<script type="text/javascript" src="js/jquery_lazyload/jquery.scrollstop.js"></script>
<!-- endbower -->
<script type="text/javascript" src="js/frontend.js"></script>
<script type="text/javascript">
$(function(){
    $("img.lazy").lazyload();

    $(".nav-tabs a").click(function(e){
        e.preventDefault();
        $(this).tab('show');
    });

    $('.nav-tabs a[data-toggle="tab"]').on('show.bs.tab', function (e) {
      // e.relatedTarget // previous active tab
      // e.target // newly activated tab
      CID=$(e.target).data('cateid');
      Label=$(e.target).data('typelabel');
      TABLE = $(e.target).data('table');

        cols = [{
                "data": "coverpath",
                "searchable": false,
                "sortable": false
            },
            {
                "data": "title"
            },
            {
                "data": "singlePrice",
                "sortable": false
            },
            {
                "data": "addressSegment",
            },
            {
                "data": "usefor",
                "sortable": false
            }];

      if ( ! $.fn.DataTable.isDataTable( TABLE ) ) {
        var dTable = $(TABLE).DataTable({
            destroy:true,
            ajax: {
                url: "<?=$this->url->get('loadcrawl');?>",
                type: "POST",
                data: {categoryId:CID,type:Label}
            },
            order: [[1, "desc"]],
            columns:cols
        });
      }else{
        var dTable = $(TABLE).DataTable();
        dTable.ajax.reload();
        // console.log( TABLE );
      }

      // 載入欄位過濾套件
      // if( Label == 'FB' ){
      // yadcf.init(dTable, [
      //   {
      //       column_number: 0 ,
      //       column_data_type: "html",
      //       html_data_type: "text",
      //       data:
      //       <? $d = array();
      //           foreach (unserialize($session->tablist) as $tabsId) {
      //           $tab = \Pkrobot\Models\Tabs::findFirst("tabsId={$tabsId} AND type<>".\Pkrobot\Models\Tabs::TYPE_PTT);
      //           if( !$tab ){ continue; }
      //           $d[] = array('value'=>$tab->label, 'label'=>$tab->label);
      //       }
      //       echo json_encode($d);?>
      //   },
      //   {column_number: 1, filter_type: "date", date_format: "YYYY-MM-DD HH:mm", datepicker_type: "bootstrap-datetimepicker" },
      //   {column_number: 2, filter_type: "text", filter_delay: 700}
      // ]);
      // }else{
      // yadcf.init(dTable, [
      //   {column_number: 0, column_data_type: "html", html_data_type: "text" },
      //   {column_number: 2, filter_type: "date", date_format: "YYYY-MM-DD HH:mm", datepicker_type: "bootstrap-datetimepicker" },
      //   {column_number: 1, filter_type: "text", filter_delay: 700}
      // ]);
      // }

    });

    $('#fbCategory a[data-toggle="tab"]:first, #pttCategory a[data-toggle="tab"]:first').tab('show');
});
</script>
</html>